View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000444aMuleMiscpublic2005-05-20 09:032005-12-09 01:43
ReporterPascal 
Assigned ToXaignar 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionnot fixable 
PlatformOSOS Version
Product Version2.0.0 
Target VersionFixed in Version 
Summary0000444: amule 2.0.1: problem with server list and crash
DescriptionAfter some time, my server list gets shorter and shorter (5 or 6 entries instead of about 100). When I try to use the "update server list" button, it is unable to fetch the data and eventually times out (amule continues to run in the background). Except today when it didn't time out, but crashed ! I am not completely sure the crash was related to the server update, but it looks like. Here is the backtrace:


----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
Current version is: aMule 2.0.1 using wxGTK1 v2.4.2
Running on: Linux 2.6.12-rc2 i686

[2] wxFatalSignalHandler in /usr/lib/libwx_gtk-2.4.so.0[0xb7eaef6d]
[3] ?? in [0xffffe420]
[4] GSocket_Connect in amule[0x82b8dc4]
[5] wxSocketClient::Connect(wxSockAddress&, bool) in /usr/lib/libwx_gtk-2.4.so.0[0xb7e50baa]
[6] wxHTTP::GetInputStream(wxString const&) in /usr/lib/libwx_gtk-2.4.so.0[0xb7e0044c]
[7] CHTTPDownloadThread::GetInputStream(wxHTTP&, wxString const&) in amule[0x81a1b29]
[8] CHTTPDownloadThread::Entry() in amule[0x81a1361]
[9] wxThreadInternal::PthreadStart(wxThread*) in /usr/lib/libwx_gtk-2.4.so.0[0xb7eaa986]
[10] wxPthreadStart in /usr/lib/libwx_gtk-2.4.so.0[0xb7eaa7ff]
[11] ?? in /lib/tls/libpthread.so.0 [0xb7fd1b63]
[12] __clone in /lib/tls/libc.so.6[0xb772418a]

--------------------------------------------------------------------------------
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001339)
Jacobo221 (updater)
2005-10-23 09:31

" After some time, my server list gets shorter and shorter" <- this is because you loose connetion from time to time and aMule tries to connect to the servers in the server lists. after 3 retries, it removes the server from the serverlist.

you can disable this by unchecking in Prefs -> servers the option "remove servers after 3 retries" (well, not exactly that, but something similar)
(0001582)
Xaignar (manager)
2005-12-09 01:43

This is a wxWidgets bug (yes, they know). Hopefully it'll be fixed in v2.6.3, but untill then, there's not much we can do.

- Issue History
Date Modified Username Field Change
2005-05-20 09:03 Pascal New Issue
2005-10-23 09:31 Jacobo221 Note Added: 0001339
2005-12-09 01:43 Xaignar Status new => resolved
2005-12-09 01:43 Xaignar Resolution open => not fixable
2005-12-09 01:43 Xaignar Assigned To => Xaignar
2005-12-09 01:43 Xaignar Note Added: 0001582


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker